/*
 * Copyright (C) 2016 Open Source Robotics Foundation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
*/
#ifndef GZ_MSGS_UTILITY_HH_
#define GZ_MSGS_UTILITY_HH_


#include <gz/msgs/convert/AxisAlignedBox.hh>
#include <gz/msgs/convert/Color.hh>
#include <gz/msgs/convert/Inertial.hh>
#include <gz/msgs/convert/Plane.hh>
#include <gz/msgs/convert/Pose.hh>
#include <gz/msgs/convert/Quaternion.hh>
#include <gz/msgs/convert/SphericalCoordinates.hh>
#include <gz/msgs/convert/StdTypes.hh>
#include <gz/msgs/convert/Vector2.hh>
#include <gz/msgs/convert/Vector3.hh>

#include <gz/msgs/convert/DiscoveryType.hh>
#include <gz/msgs/convert/FuelMetadata.hh>
#include <gz/msgs/convert/GeometryType.hh>
#include <gz/msgs/convert/JointType.hh>
#include <gz/msgs/convert/PixelFormatType.hh>
#include <gz/msgs/convert/ShaderType.hh>

#include <gz/msgs/PointCloudPackedUtils.hh>

#endif  // GZ_MSGS_UTILITY_HH_
